cstdlib File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_CSTDLIB
#define | EXIT_FAILURE
#define | EXIT_SUCCESS

## Functions

void | std::abort (void) throw ()
int | std::atexit (void(*)(void)) throw ()
void | std::exit (int) throw ()

## Detailed Description

This is a Standard C++ Library file. You should `#include` this file in your programs, rather than any of the *.h implementation files.

This is the C++ version of the Standard C Library header `stdlib.h`, and its contents are (mostly) the same as that header, but are all contained in the namespace `std` (except for names which are defined as macros in C).

Definition in file cstdlib.

## Macro Definition Documentation

## _GLIBCXX_CSTDLIB

#define _GLIBCXX_CSTDLIB

Definition at line 44 of file cstdlib.

## EXIT_FAILURE

#define EXIT_FAILURE

Definition at line 53 of file cstdlib.

## EXIT_SUCCESS

#define EXIT_SUCCESS

Definition at line 52 of file cstdlib.